<?php
	
	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	/**
	 * implements the main view of the feed reader plugin
	 */
	class PluginPloGeshiConfigView extends AdminPluginTemplatedView
	{

		function PluginPloGeshiConfigView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "plogeshi", "config" );
		}
		
		function render()
		{
			$blogSettings = $this->_blogInfo->getSettings();
			$pluginEnabled = $blogSettings->getValue( "plugin_plogeshi_enabled" );
			// create a view and export the settings to the template
			$this->setValue( "pluginEnabled", $pluginEnabled );
			
			parent::render();
		}
	}
?>